import { ESTree } from "meriyah";
import { ASTNode, NodePath } from "./traverse";
import { PrimitiveValue } from ".";
export declare function isNode(candidate: unknown): candidate is ASTNode;
export declare function isNodePath(candidate: unknown): candidate is NodePath;
export declare function isLiteral(candidate: unknown): candidate is ESTree.Literal;
export declare function isPrimitive(value: unknown): value is PrimitiveValue;
export declare function isUpdateExpression(value: unknown): value is ESTree.UpdateExpression;
export declare function isAssignmentExpression(node: ESTree.Node): node is ESTree.AssignmentExpression;
export declare function isMemberExpression(node: ESTree.Node): node is ESTree.MemberExpression;
export declare function isIdentifier(node: ESTree.Node): node is ESTree.Identifier;
export declare function isFunctionDeclaration(node: ESTree.Node): node is ESTree.FunctionDeclaration;
export declare function isFunctionExpression(node: ESTree.Node): node is ESTree.FunctionExpression;
export declare function isVariableDeclarator(node: ESTree.Node): node is ESTree.VariableDeclarator;
export declare function isVariableDeclaration(node: ESTree.Node): node is ESTree.VariableDeclaration;
export declare function isBinding(node: ESTree.Node, parentNode: ESTree.Node, grandParentNode: ESTree.Node | undefined): boolean;
export declare const VISITOR_KEYS: Record<ESTree.Node["type"], string[]>;
export declare function isScope(node: ESTree.Node, parentNode: ESTree.Node): boolean;
export declare function isScopable(node: ESTree.Node): boolean;
export declare function isExportSpecifier(node: ESTree.Node): node is ESTree.ExportSpecifier;
//# sourceMappingURL=nodeutils.d.ts.map